> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Variants Predictions

> Retrieve element gene predictions associated with a given variant.

At least one of these fields is required: variant_id, spdi, hgvs, rsid, ca_id, or files_filesets.

Example: variant_id = NC_000001.11:976214:A:G,

hgvs = NC_000001.11:g.976215A>G,

spdi = NC_000001.11:976214:A:G,

rsid = rs7417106,

ca_id = CA507079,

files_filesets = ENCFF103XRK.

The limit parameter controls the page size and can not exceed 300.

Pagination is 0-based.



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /variants/predictions
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /variants/predictions:
    get:
      summary: Variants Predictions
      description: >-
        Retrieve element gene predictions associated with a given variant.


        At least one of these fields is required: variant_id, spdi, hgvs, rsid,
        ca_id, or files_filesets.


        Example: variant_id = NC_000001.11:976214:A:G,


        hgvs = NC_000001.11:g.976215A>G,


        spdi = NC_000001.11:976214:A:G,


        rsid = rs7417106,


        ca_id = CA507079,


        files_filesets = ENCFF103XRK.


        The limit parameter controls the page size and can not exceed 300.


        Pagination is 0-based.
      operationId: predictionsFromVariants
      parameters:
        - name: spdi
          in: query
          required: false
          schema:
            type: string
        - name: hgvs
          in: query
          required: false
          schema:
            type: string
        - name: ca_id
          in: query
          required: false
          schema:
            type: string
        - name: variant_id
          in: query
          required: false
          schema:
            type: string
        - name: organism
          in: query
          required: false
          schema:
            type: string
            enum:
              - Mus musculus
              - Homo sapiens
            default: Homo sapiens
        - name: files_fileset
          in: query
          required: false
          schema:
            type: string
        - name: method
          in: query
          required: false
          schema:
            type: string
            enum:
              - caQTL
        - name: limit
          in: query
          required: false
          schema:
            type: number
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    distance_gene_variant:
                      type: number
                    element_chr:
                      type: string
                    element_start:
                      type: number
                    element_end:
                      type: number
                    element_type:
                      type: string
                    id:
                      type: string
                    cell_type:
                      type: string
                    target_gene:
                      type: object
                      properties:
                        gene_name:
                          type: string
                        id:
                          type: string
                        chr:
                          type: string
                        start:
                          type: number
                        end:
                          type: number
                      required:
                        - gene_name
                        - id
                        - chr
                        - start
                        - end
                      additionalProperties: false
                    score:
                      type: number
                    model:
                      type: string
                    dataset:
                      type: string
                    name:
                      type: string
                    files_filesets:
                      type: string
                      nullable: true
                  required:
                    - distance_gene_variant
                    - element_chr
                    - element_start
                    - element_end
                    - element_type
                    - id
                    - cell_type
                    - target_gene
                    - score
                    - model
                    - dataset
                    - name
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````